!****************************************************************************
!  Global data, parameters, and structures 
!****************************************************************************

module showfontGlobals
use dfwin
use dflogmt

implicit none

!  Parameters

integer*4, parameter, public :: SIZEOFAPPNAME = 100
integer*4, parameter, public :: MAX_FONTS = 256

!  Global data

integer		ghInstance
integer		ghModule
integer		ghwndMain
integer     ghFont

!  Dialog boxes

type (dialog) gdlg
type (dialog) gdlg_tab1
type (dialog) gdlg_tab2
type (dialog) gdlg_tab3

!  Vector of LOGFONT structure addresses

integer(INT_PTR_KIND()), dimension(MAX_FONTS) :: gLogFonts

!  Interfaces

!  Note: We redefine the EnumFontFamilies interface so that we can pass
!        NULL as the 2nd argument

interface
	integer function  EnumAllFontFamilies (dummy0,dummy1,dummy2,dummy3) 
	!DEC$ IF DEFINED(_X86_)
	!DEC$ ATTRIBUTES STDCALL, ALIAS : '_EnumFontFamiliesA@16' :: EnumAllFontFamilies
	!DEC$ ELSE
	!DEC$ ATTRIBUTES STDCALL, ALIAS :  'EnumFontFamiliesA'    :: EnumAllFontFamilies
	!DEC$ ENDIF
	integer         dummy0  
	integer			dummy1  
	integer         dummy2  
	integer         dummy3  
	end function EnumAllFontFamilies
end interface

end module
